Codevisor Docs
Api reference

POST Workspaces WorkspaceId Panes Reorder

POST/v1/workspaces/{workspaceId}/panes/reorder

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

paneIds*array<string>

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/workspaces/string/panes/reorder" \  -H "Content-Type: application/json" \  -d '{    "paneIds": [      "string"    ]  }'
[  {    "id": "string",    "workspaceId": "string",    "providerId": "string",    "paneType": "string",    "title": "string",    "resourceKind": "string",    "resourceId": "string",    "metadata": "string",    "liveTitle": "string",    "terminalActivity": "working",    "revision": 0,    "position": "string",    "createdAt": "string",    "updatedAt": "string"  }]
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}